<%--
    Copyright  2004 Sun Microsystems, Inc. All rights reserved
    Use is subject to license terms.
--%>

 
<html>
<%@include file="../base/AMBase.jsp" %>
<%@page info="UMServiceData" language="java"%>
<%@taglib uri="/WEB-INF/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/console.tld" prefix="console"%>
<jato:useViewBean 
    className="com.iplanet.am.console.user.UMServiceDataViewBean" 
    fireChildDisplayEvents="true">


<head>
<title><jato:text name="titleHtmlPage" /></title>
<link rel="stylesheet" href="<%= consoleUrl %>css/adminstyle.css"> 
<script language="javascript" src="<%= consoleUrl %>js/consolecomp.js"></script>
<script language="javascript">
if (parent.headerFrame) {
    parent.headerFrame.helpDocURL = "<jato:text name="helpDocURL"/>";
    parent.headerFrame.helpPage = "<jato:text name="helpAnchorTag"/>";
}

<jato:content name="showProfile">

    setTrackingDataInHeaderNavFrame('<jato:text name="fldTracking" escape="false" />');

    <jato:content name="frameReload">
    invokeVB(top.frames.navigationFrame,
        '../user/UMHome',
        '<jato:text name="txtRandomStr" />',
        '<jato:text name="pgSession" />');
    </jato:content>

    <jato:content name="blankDataFrame">
	clearDataView();
    </jato:content>

    function menuChange() {
	var frm = document.forms['UMServiceData'];
	frm.elements['jato.defaultCommand'].value = 'btnMenuSelector';
	frm.submit();
    }
 
    function onPageLoaded() {
	enableSelectEx('UMServiceData', 'UMServiceData.comboShowMenu', menuChange);
    }


    function editServiceAttributes(frmName, svcName) {
	var frm = document.forms[frmName];

	if (frm != null) {
	    frm.elements['UMServiceData.fldServiceName'].value = svcName;
	    frm.elements['jato.defaultCommand'].value = 'hrefServiceAttributes';
	    frm.submit();
	}
    }

</jato:content>  <!-- showProfile -->

</script>
</head>  
 
<body class="default-body" leftMargin="0" topMargin="0" marginheight="0" marginwidth="0"
<jato:content name="showProfile">
onLoad="onPageLoaded();"
</jato:content>
>

<script language="javascript">
var pageLoaded = 0;
</script>

<console:title name="ProfileName"/>
<console:form name="UMServiceData" method="post" defaultCommandChild="/btnFilterSubmit">

<jato:content name="showProfile">
<jato:hidden name="ProfileDN" defaultValue=""/>
<jato:hidden name="fldServiceName" defaultValue=""/>

<!-- view menu -->
<table border=0 cellspacing=0 cellpadding=0>
    <tr>
        <td colspan=7><img src="<%=consoleImages%>/spacer.gif" height=10 alt=""></td>
    </tr>
    <tr>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width=10 alt=""></td>
        <td width="1%" nowrap>
    	    <label for="UMServiceData.comboShowMenu">
    	        <jato:text name="lblShow" />:
    	    </label>
        </td>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width=3 alt=""></td>
        <td width="1%">
    	    <jato:combobox name="comboShowMenu" 
    	        extraHtml="id='UMServiceData.comboShowMenu'" />
            <script language="javascript">
    	        disableSelect('UMServiceData', 'UMServiceData.comboShowMenu');
            </script>
        </td>
    	<td width="94%" align="right"><console:button name="btnSave" /></td>
    	<td width="1%"><console:button name="btnReset" /></td>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width=10 alt=""></td>
    </tr>
</table>
</jato:content> <!-- showProfile -->

<console:listedmessagebox name="ccListedMessageBox" imageURI="<%= consoleImages %>" />

<jato:content name="showProfile">
<table border=0 cellpadding=0 cellspacing=0 width="100%">
    <tr>
        <td colspan=3><img src="<%=consoleImages%>/spacer.gif" height=10 alt=""></td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td>
            <div class="properties-level1-label-text">
                <jato:text name="hdrServiceConfig" />
            </div>
        </td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td colspan=3><img src="<%=consoleImages%>/spacer.gif" height=5 alt=""></td>
    </tr>
    <tr>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width=10 height=1 alt=""></td>
        <td valign="bottom" class="table-separator-row"><img src="<%= consoleUrl %>images/spacer.gif" height="2" alt=""></td>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width=10 height=1 alt=""></td>
    </tr>
    <tr>
        <td colspan=3><img src="<%=consoleImages%>/spacer.gif" height=10 alt=""></td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td>
            <jato:text name="helpServiceConfig" />
        </td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td colspan=3><img src="<%=consoleImages%>/spacer.gif" height=10 alt=""></td>
    </tr>
</table>

<div class="properties-level3-label-text">
<b><jato:text name="lblServices" /></b>

<table class="table-frame" border=0 cellpadding=1 cellspacing=0> 
    <tr> 
        <td>
            <table class="table-content" border="0" cellpadding="0" cellspacing="0" width="100%"> 
                <tr class="table-header-row">
                    <th width="10"><img src="<%= consoleUrl %>images/spacer.gif" width=10 alt=""></th>
                    <th scope="col" class="table-header-text">
                        <jato:text name="lblSvcName" />
                    </th>
                    <th width="10"><img src="<%= consoleUrl %>images/spacer.gif" width=10 alt=""></th>
                    <th scope="col" class="table-header-text">
                        <jato:text name="lblAction" />
                    </th>
                    <th width="10"><img src="<%= consoleUrl %>images/spacer.gif" width=10 alt=""></th>
                </tr>
                <jato:tiledView name="indentedListView"
                    type="com.iplanet.am.console.user.UMServiceNavIndentedListView"
                    fireDisplayEvents="true">
                <tr> 
                    <td scope="row">&nbsp;</td>
                    <td nowrap="true">
                        <table border=0 cellpadding=0 cellspacing=0>
                            <tr>
                                <td>
                                    <jato:text name="Indent" escape="false" />
                                </td>
                                <td <jato:content name="LabelBlock"> class="label" </jato:content>>
                                    <jato:text name="ServiceName" />
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td scope="row">&nbsp;</td>
                    <td>&nbsp;
                        <!---- properties icon ---->
                        <console:href name="PropsLink" target="dataFrame"
                            fireDisplayEvents="true"><jato:staticText
                            name="lblProperties" />
                        </console:href>
                    </td>
                    <td scope="row">&nbsp;</td>
                </tr>
                <tr>
                	<td class="table-separator-row" colspan=5><img src="<%= consoleUrl %>images/spacer.gif" height="1" border="0"  alt=""></td>
                </tr>
                </jato:tiledView> 
            
                <jato:content name="msgEntries">
                <tr>
                    <td>&nbsp;</td>
                    <td>
                        <jato:text name="msgEntries" />
                    </td>
                    <td colspan=3>&nbsp;</td>
                </tr>
                </jato:content>
            </table>
        </td>
    </tr>
</table>
</div>

<table border=0 cellpadding=0 cellspacing=0 width="100%">
    <tr>
        <td colspan=3><img src="<%=consoleImages%>/spacer.gif" height=10 alt=""></td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td nowrap>
            <div class="properties-level1-label-text">
                <jato:text name="hdrServiceAccess" />
            </div>
        </td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td colspan=3><img src="<%=consoleImages%>/spacer.gif" height=5 alt=""></td>
    </tr>
    <tr>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width=10 height=1 alt=""></td>
        <td valign="bottom" class="table-separator-row"><img src="<%= consoleUrl %>images/spacer.gif" height="2" alt=""></td>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width=10 height=1 alt=""></td>
    </tr>
    <tr>
        <td colspan=3><img src="<%=consoleImages%>/spacer.gif" height=10 alt=""></td>
    </tr>
    <tr>
        <td>&nbsp;</td>
        <td>
            <jato:text name="helpServiceAccess" />
        </td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td colspan=3><img src="<%=consoleImages%>/spacer.gif" height=10 alt=""></td>
    </tr>
</table>

<div class="properties-level3-label-text">
<b><jato:text name="lblServices" /></b>

<table class="table-frame" border=0 cellpadding=1 cellspacing=0>
    <tr>
		<td>
		    <table class="table-content" border="0" cellpadding="0" cellspacing="0" width="100%"> 
    		    <tr class="table-header-row">
        			<th width="10"><img src="<%= consoleUrl %>images/spacer.gif" width=10 alt=""></th>
        			<th scope="col" class="table-header-text">
        			    <jato:text name="lblSvcName" />
        			</th>
        			<th width="10"><img src="<%= consoleUrl %>images/spacer.gif" width=10 alt=""></th>
        			<th class="table-header-text">
        			    <jato:text name="lblStatus" />
        			</th>
<jato:content name="modifiable">
        			<th width="10"><img src="<%= consoleUrl %>images/spacer.gif" width=10 alt=""></th>
                    <th scope="col" class="table-header-text">
                        <jato:text name="lblAction" />
                    </th>
</jato:content>
        			<th width="10"><img src="<%= consoleUrl %>images/spacer.gif" width=10 alt=""></th>
    		    </tr>
    
    		    <jato:tiledView name="tiledServiceAccess" type="com.iplanet.am.console.user.UMRoleServiceConfigTiledView" fireDisplayEvents="true">
                <tr>
                	<td colspan=7><img src="<%= consoleUrl %>images/spacer.gif" height="2" border="0"  alt=""></td>
                </tr>
    		    <tr> 
                    <td scope="row">&nbsp;</td>
                    <td nowrap><jato:text name="lblLocalizedSvcName" /></td>
        		    <td>&nbsp;</td>
        		    <td>
            		    <jato:combobox name="cbDisplay" fireDisplayEvents="true" />
            		    <jato:text name="lblStatus" fireDisplayEvents="true" />
        		    </td>
<jato:content name="modifiable">
        		    <td>&nbsp;</td>
        		    <td nowrap><a href="javascript:editServiceAttributes('UMServiceData', '<jato:text name="lblSvcName" />')"><jato:text name="lblEdit" /></a></td>
</jato:content>
        		    <td>&nbsp;</td>
    		    </tr>
                <tr>
                	<td colspan=7><img src="<%= consoleUrl %>images/spacer.gif" height="2" border="0"  alt=""></td>
                </tr>
                <tr>
                	<td class="table-separator-row" colspan=7><img src="<%= consoleUrl %>images/spacer.gif" height="1" border="0"  alt=""></td>
                </tr>
    		    </jato:tiledView>
		    </table>
		</td> 
    </tr>
</table>
</div>

<p>
<table border=0 cellpadding=0 cellspacing=0 width="100%">
    <tr>
        <td>&nbsp;</td>
        <td colspan=2>
            <hr noshade size=1>
        </td>
        <td>&nbsp;</td>
    </tr>
    <tr>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width=10 alt=""></td>
    	<td width="97%" align="right"><console:button name="btnSave" /></td>
    	<td width="1%"><console:button name="btnReset" /></td>
        <td width="1%"><img src="<%=consoleImages%>/spacer.gif" width=10 alt=""></td>
    </tr>
</table>

</jato:content>  <!-- showProfile -->
</console:form> 
</body>
<script language="javascript">
pageLoaded = 1;
</script>
</jato:useViewBean> 
</html>
